NSX-T Data Center REST API

Get cross-site tunnel statistics of policy edge transport node.

Returns RTEP to RTEP tunnel port statistics of the given edge node. It always returns realtime response.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/tunnels/statistics
/policy/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/tunnels/statistics
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/tunnels/statistics

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyEdgeNodeRemoteTepStatistics+

Example Response:

{ "stats_per_site": [ { "remote_site_path": "/global-infra/sites/Paris", "stats_per_tunnel": [ { "tunnel_source_address": "172.20.10.10", "tunnel_destination_address": "172.20.10.20", "rx": { "total_bytes": 30728445, "total_packets": 405923, "dropped_packets": 17, "blocked_packets": 0 }, "tx": { "total_bytes": 48996399, "total_packets": 409618, "dropped_packets": 0, "blocked_packets": 0 } }, { "tunnel_source_address": "172.20.10.10", "tunnel_destination_address": "172.20.10.21", "rx": { "total_bytes": 30361253, "total_packets": 401876, "dropped_packets": 23, "blocked_packets": 0 }, "tx": { "total_bytes": 48280988, "total_packets": 404029, "dropped_packets": 0, "blocked_packets": 0 } } ], "rx": { "total_bytes": 61089698, "total_packets": 807799, "dropped_packets": 40, "blocked_packets": 0 }, "tx": { "total_bytes": 97277387, "total_packets": 813647, "dropped_packets": 0, "blocked_packets": 0 } } ], "last_update_timestamp": 1735233402279 }

Required Permissions:

read

Feature:

policy_ep_edge

Additional Errors: